BEGIN{
    l=71;
    for (rf2=11;rf2<=13;rf2+=2)
	for (h1=12;h1<=14;h1+=2)
	    for (rf1=7;rf1<=9;rf1+=1)
		for (h2=22;h2<=22;h2+=1)
		    for (h3=18;h3<=18;h3+=2)
		{
print "mkdir win"l"-"rf1"rf"h1"lrelu-"rf2"rf"h2"lrelu-"l-rf2-rf1+2"rf"h3"lrelu-1rf3sig"
print "cd win"l"-"rf1"rf"h1"lrelu-"rf2"rf"h2"lrelu-"l-rf2-rf1+2"rf"h3"lrelu-1rf3sig"
print "~/snns/SNNSoS-0.1/SNNSv4.3/tools/sources/td_bignet -p 20 "l" -p "h1" "l-rf1+1"  -p "h2" "l-rf2-rf1+2" -p "h3" 1 -p 3 1 -l 1 1 20 "rf1"  2 1 "h1"  -l 2 1 "h1" "rf2"  3 1 "h2"  -l 3 1 "h2" "l-rf2-rf1+2"  4 1 "h3"  -l 4 1 "h3" 1  5 1 3"
print "awk -f ~/snns/ss/relu/td/change-activation-function-softmax1.awk SNNS_TD_NET.net > foo; mv foo SNNS_TD_NET.net"
print "cp ~/snns/ss/relu/td/batchman-td-win"l"-ce.txt ."
print "/home/reczko/snns/SNNSoS-0.1/SNNSv4.3/tools/sources/batchman < batchman-td-win"l"-ce.txt &> r.log &"
print "cd .."
    }
    exit 0;
}{}
